#include "StackWidget.h"

StackWidget::StackWidget()
{

}

std::unique_ptr<StackWidget> StackWidget::Create()
{
    return std::make_unique<StackWidget>();
}

void StackWidget::ShowChild(Widget* target)
{
    for(auto& child : mChildren)
    {
        if(child.get() == target)
        {
            child->SetVisible(true);
        }
        else
        {
            child->SetVisible(false);
        }
    }
}
